package kr.co.vividnext.sodalive.live

import io.reactivex.rxjava3.core.Flowable
import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import kr.co.vividnext.sodalive.live.room.LiveRoomStatus
import kr.co.vividnext.sodalive.live.room.detail.GetRoomDetailResponse
import java.util.TimeZone

class LiveRepository(private val api: LiveApi) {
    fun roomList(
        dateString: String? = null,
        status: LiveRoomStatus,
        page: Int,
        size: Int,
        token: String
    ): Flowable<ApiResponse<List<GetRoomListResponse>>> {
        return api.roomList(
            timezone = TimeZone.getDefault().id,
            dateString = dateString,
            status = status,
            page = page - 1,
            size = size,
            authHeader = token
        )
    }

    fun getRoomDetail(roomId: Long, token: String): Single<ApiResponse<GetRoomDetailResponse>> {
        return api.getRoomDetail(
            roomId,
            timezone = TimeZone.getDefault().id,
            authHeader = token
        )
    }
}
